# Class SQLPrepareException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.sql.SQLException
org.mariadb.jdbc.export.SQLPrepareException

All Implemented Interfaces:
  `Serializable, Iterable<Throwable>`

public class SQLPrepareException extends SQLException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SQLPrepareException(String reason, String sqlState, int vendorCode, Throwable cause)`

## Method Summary

### Methods inherited from class SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface Iterable

`forEach, spliterator`

## Constructor Details

### SQLPrepareException

public SQLPrepareException(String reason, String sqlState, int vendorCode, Throwable cause)